%define upstream_name    Proc-Simple
%define upstream_version 1.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Launch and control background processes
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The Proc::Simple package provides objects mimicing real-life processes
from a user's point of view.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/Proc
%{perl_vendorlib}/auto/Proc

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 372148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 1.30

  + kharec <kharec>
    - update to 1.29

* Mon Jun 27 2011 jquelin <jquelin> 1.280.0-1.mga2
+ Revision: 114627
- update to 1.28

* Sat Jan 22 2011 jquelin <jquelin> 1.270.0-1.mga1
+ Revision: 31064
- mageia rebuild
- imported package perl-Proc-Simple

